/* $Id: shhmsg.h,v 1.2 1995/07/16 15:55:36 sverrehu Exp $ */
#ifndef SHHMSG_H
#define SHHMSG_H

#ifdef __cplusplus
extern "C" {
#endif

void msgSetName(const char *s);
char *msgGetName(void);

void msgError(const char *format, ...);
void msgFatal(const char *format, ...);
void msgPerror(const char *format, ...);
void msgFatalPerror(const char *format, ...);

extern int msgVerboseLevel;
void msgSetVerbose(int level);
void msgVerbose(int level, const char *format, ...);

extern int msgBeQuiet;
void msgSetQuiet(int onoff);
void msgMessage(const char *format, ...);

#ifdef __cplusplus
}
#endif

#endif
